# Enable LTO
%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto

%global commit      0d2348dacd0cedc374065a0cbbbaf4113fbaa07d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20181217

Name:           komorebi
Summary:        Beautiful and customizable wallpapers manager for Linux

Version:        2.1
Release:        3.%{date}git%{shortcommit}%{?dist}

License:        GPLv3+
URL:            https://github.com/cheesecakeufo/komorebi
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz
#Patch0:         %%{name}-path-fix.diff

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.38
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  vala
Requires:       hicolor-icon-theme
Requires:       lato-fonts
Requires:       vt323-fonts
# For video wallpapers
Recommends:     gstreamer1-libav%{?_isa}
Provides:       bundled(amaticsc-fonts)
Provides:       bundled(bangers-fonts)
Provides:       bundled(bubblerone-fonts)

%description
Komorebi is an awesome animated wallpapers manager for all Linux platforms. It
provides fully customizeable image, video, and web page wallpapers that can be
tweaked at any time!

%prep
%autosetup -p1 -n %{name}-%{commit}
#sed -i -e 's|/System/Applications|%{_bindir}|' -e 's|/System/Resources/Komorebi|%{_datadir}/%{name}|' CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo .
%make_build

%install
%make_install
rm %{buildroot}%{_datadir}/fonts/Lato-Hairline.ttf
rm %{buildroot}%{_datadir}/fonts/Lato-Light.ttf
rm %{buildroot}%{_datadir}/fonts/VT323-Regular.ttf

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/wallpapercreator.desktop

%files
%license LICENSE
%doc README.md
#%%{_bindir}/%%{name}
#%%{_bindir}/%%{name}-wallpaper-creator
#%%{_datadir}/%%{name}

# FIXME
# https://github.com/cheesecakeufo/komorebi/issues/49
/System/Applications/%{name}
/System/Applications/%{name}-wallpaper-creator
/System/Resources/Komorebi

%{_datadir}/applications/*.desktop
%{_datadir}/fonts/AmaticSC-Regular.ttf
%{_datadir}/fonts/Bangers-Regular.ttf
%{_datadir}/fonts/BubblerOne-Regular.ttf

%changelog
* Sat Aug 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1-1.20181217git0d2348d
- Initial package

